Package com.independentsoft.office.word.drawing

# Class Anchor

java.lang.Object
com.independentsoft.office.word.drawing.Anchor

All Implemented Interfaces:
  `IContentElement`

public class Anchor extends Object implements IContentElement
The Class Anchor.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Anchor()`
  Instantiates a new anchor.
  `Anchor​(GraphicObject graphicObject)`
  Instantiates a new anchor.
  `Anchor​(InternalXMLStreamReader reader)`
  Instantiates a new anchor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Anchor`
  `clone()`
  `boolean`
  `getAsHidden()`
  Gets the as hidden.
  `List<IContentElement>`
  `getContentElements()`
  `String`
  `getDescription()`
  Gets the description.
  `Unit`
  `getDistanceBetweenTextAndBottomEdge()`
  Gets the distance between text and bottom edge.
  `Unit`
  `getDistanceBetweenTextAndLeftEdge()`
  Gets the distance between text and left edge.
  `Unit`
  `getDistanceBetweenTextAndRightEdge()`
  Gets the distance between text and right edge.
  `Unit`
  `getDistanceBetweenTextAndTopEdge()`
  Gets the distance between text and top edge.
  `EffectExtent`
  `getEffectExtent()`
  Gets the effect extent.
  `GraphicObject`
  `getGraphicObject()`
  Gets the graphic object.
  `HorizontalPositioning`
  `getHorizontalPositioning()`
  Gets the horizontal positioning.
  `String`
  `getID()`
  Gets the id.
  `GraphicFrameLocking`
  `getLocking()`
  Gets the locking.
  `String`
  `getName()`
  Gets the name.
  `List<RawXmlElement>`
  `getRelativeSizeExtensions()`
  Gets the wp14:sizeRelH / wp14:sizeRelV relative-size extensions preserved verbatim for the round trip.
  `long`
  `getRelativeZOrderPositon()`
  Gets the relative z order positon.
  `Point2D`
  `getSimplePositioningCoordinates()`
  Gets the simple positioning coordinates.
  `DrawingObjectSize`
  `getSize()`
  Gets the size.
  `VerticalPositioning`
  `getVerticalPositioning()`
  Gets the vertical positioning.
  `WrapType`
  `getWrapType()`
  Gets the wrap type.
  `boolean`
  `isAllowOverlap()`
  Checks if is allow overlap.
  `boolean`
  `isDisplayBehindText()`
  Checks if is display behind text.
  `boolean`
  `isHidden()`
  Checks if is hidden.
  `boolean`
  `isLayoutInCell()`
  Checks if is layout in cell.
  `boolean`
  `isLocked()`
  Checks if is locked.
  `void`
  `setAllowOverlap​(boolean allowOverlap)`
  Sets the allow overlap.
  `void`
  `setAsHidden​(boolean hidden)`
  Sets the as hidden.
  `void`
  `setDescription​(String description)`
  Sets the description.
  `void`
  `setDisplayBehindText​(boolean displayBehindText)`
  Sets the display behind text.
  `void`
  `setDistanceBetweenTextAndBottomEdge​(Unit distanceBetweenTextAndBottomEdge)`
  Sets the distance between text and bottom edge.
  `void`
  `setDistanceBetweenTextAndLeftEdge​(Unit distanceBetweenTextAndLeftEdge)`
  Sets the distance between text and left edge.
  `void`
  `setDistanceBetweenTextAndRightEdge​(Unit distanceBetweenTextAndRightEdge)`
  Sets the distance between text and right edge.
  `void`
  `setDistanceBetweenTextAndTopEdge​(Unit distanceBetweenTextAndTopEdge)`
  Sets the distance between text and top edge.
  `void`
  `setEffectExtent​(EffectExtent effectExtent)`
  Sets the effect extent.
  `void`
  `setGraphicObject​(GraphicObject graphicObject)`
  Sets the graphic object.
  `void`
  `setHidden​(boolean isHidden)`
  Sets the hidden.
  `void`
  `setHorizontalPositioning​(HorizontalPositioning horizontalPositioning)`
  Sets the horizontal positioning.
  `void`
  `setID​(String id)`
  Sets the id.
  `void`
  `setLayoutInCell​(boolean layoutInCell)`
  Sets the layout in cell.
  `void`
  `setLocked​(boolean isLocked)`
  Sets the locked.
  `void`
  `setLocking​(GraphicFrameLocking locking)`
  Sets the locking.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setRelativeSizeExtensions​(List<RawXmlElement> relativeSizeExtensions)`
  Sets the wp14:sizeRelH / wp14:sizeRelV relative-size extensions.
  `void`
  `setRelativeZOrderPositon​(long relativeZOrderPositon)`
  Sets the relative z order positon.
  `void`
  `setSimplePositioningCoordinates​(Point2D simplePositioningCoordinates)`
  Sets the simple positioning coordinates.
  `void`
  `setSize​(DrawingObjectSize size)`
  Sets the size.
  `void`
  `setUseSimplePositioningCoordinates​(boolean useSimplePositioningCoordinates)`
  Sets the use simple positioning coordinates.
  `void`
  `setVerticalPositioning​(VerticalPositioning verticalPositioning)`
  Sets the vertical positioning.
  `void`
  `setWrapType​(WrapType wrapType)`
  Sets the wrap type.
  `String`
  `toString()`
  `boolean`
  `useSimplePositioningCoordinates()`
  Use simple positioning coordinates.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Anchor

    public Anchor()
    Instantiates a new anchor.

  - ### Anchor

    public Anchor​(GraphicObject graphicObject)
    Instantiates a new anchor.
    Parameters:
      `graphicObject` - the graphic object

  - ### Anchor

    public Anchor​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new anchor.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### clone

    public Anchor clone()
    Specified by:
      `clone` in interface `IContentElement`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isAllowOverlap

    public boolean isAllowOverlap()
    Checks if is allow overlap.
    Returns:
      true, if is allow overlap

  - ### setAllowOverlap

    public void setAllowOverlap​(boolean allowOverlap)
    Sets the allow overlap.
    Parameters:
      `allowOverlap` - the new allow overlap

  - ### isDisplayBehindText

    public boolean isDisplayBehindText()
    Checks if is display behind text.
    Returns:
      true, if is display behind text

  - ### setDisplayBehindText

    public void setDisplayBehindText​(boolean displayBehindText)
    Sets the display behind text.
    Parameters:
      `displayBehindText` - the new display behind text

  - ### getDistanceBetweenTextAndBottomEdge

    public Unit getDistanceBetweenTextAndBottomEdge()
    Gets the distance between text and bottom edge.
    Returns:
      the distance between text and bottom edge

  - ### setDistanceBetweenTextAndBottomEdge

    public void setDistanceBetweenTextAndBottomEdge​(Unit distanceBetweenTextAndBottomEdge)
    Sets the distance between text and bottom edge.
    Parameters:
      `distanceBetweenTextAndBottomEdge` - the new distance between text and bottom edge

  - ### getDistanceBetweenTextAndLeftEdge

    public Unit getDistanceBetweenTextAndLeftEdge()
    Gets the distance between text and left edge.
    Returns:
      the distance between text and left edge

  - ### setDistanceBetweenTextAndLeftEdge

    public void setDistanceBetweenTextAndLeftEdge​(Unit distanceBetweenTextAndLeftEdge)
    Sets the distance between text and left edge.
    Parameters:
      `distanceBetweenTextAndLeftEdge` - the new distance between text and left edge

  - ### getDistanceBetweenTextAndRightEdge

    public Unit getDistanceBetweenTextAndRightEdge()
    Gets the distance between text and right edge.
    Returns:
      the distance between text and right edge

  - ### setDistanceBetweenTextAndRightEdge

    public void setDistanceBetweenTextAndRightEdge​(Unit distanceBetweenTextAndRightEdge)
    Sets the distance between text and right edge.
    Parameters:
      `distanceBetweenTextAndRightEdge` - the new distance between text and right edge

  - ### getDistanceBetweenTextAndTopEdge

    public Unit getDistanceBetweenTextAndTopEdge()
    Gets the distance between text and top edge.
    Returns:
      the distance between text and top edge

  - ### setDistanceBetweenTextAndTopEdge

    public void setDistanceBetweenTextAndTopEdge​(Unit distanceBetweenTextAndTopEdge)
    Sets the distance between text and top edge.
    Parameters:
      `distanceBetweenTextAndTopEdge` - the new distance between text and top edge

  - ### getAsHidden

    public boolean getAsHidden()
    Gets the as hidden.
    Returns:
      the as hidden

  - ### setAsHidden

    public void setAsHidden​(boolean hidden)
    Sets the as hidden.
    Parameters:
      `hidden` - the new as hidden

  - ### isLayoutInCell

    public boolean isLayoutInCell()
    Checks if is layout in cell.
    Returns:
      true, if is layout in cell

  - ### setLayoutInCell

    public void setLayoutInCell​(boolean layoutInCell)
    Sets the layout in cell.
    Parameters:
      `layoutInCell` - the new layout in cell

  - ### isLocked

    public boolean isLocked()
    Checks if is locked.
    Returns:
      true, if is locked

  - ### setLocked

    public void setLocked​(boolean isLocked)
    Sets the locked.
    Parameters:
      `isLocked` - the new locked

  - ### getRelativeZOrderPositon

    public long getRelativeZOrderPositon()
    Gets the relative z order positon.
    Returns:
      the relative z order positon

  - ### setRelativeZOrderPositon

    public void setRelativeZOrderPositon​(long relativeZOrderPositon)
    Sets the relative z order positon.
    Parameters:
      `relativeZOrderPositon` - the new relative z order positon

  - ### useSimplePositioningCoordinates

    public boolean useSimplePositioningCoordinates()
    Use simple positioning coordinates.
    Returns:
      true, if successful

  - ### setUseSimplePositioningCoordinates

    public void setUseSimplePositioningCoordinates​(boolean useSimplePositioningCoordinates)
    Sets the use simple positioning coordinates.
    Parameters:
      `useSimplePositioningCoordinates` - the new use simple positioning coordinates

  - ### getSimplePositioningCoordinates

    public Point2D getSimplePositioningCoordinates()
    Gets the simple positioning coordinates.
    Returns:
      the simple positioning coordinates

  - ### setSimplePositioningCoordinates

    public void setSimplePositioningCoordinates​(Point2D simplePositioningCoordinates)
    Sets the simple positioning coordinates.
    Parameters:
      `simplePositioningCoordinates` - the new simple positioning coordinates

  - ### getHorizontalPositioning

    public HorizontalPositioning getHorizontalPositioning()
    Gets the horizontal positioning.
    Returns:
      the horizontal positioning

  - ### setHorizontalPositioning

    public void setHorizontalPositioning​(HorizontalPositioning horizontalPositioning)
    Sets the horizontal positioning.
    Parameters:
      `horizontalPositioning` - the new horizontal positioning

  - ### getVerticalPositioning

    public VerticalPositioning getVerticalPositioning()
    Gets the vertical positioning.
    Returns:
      the vertical positioning

  - ### setVerticalPositioning

    public void setVerticalPositioning​(VerticalPositioning verticalPositioning)
    Sets the vertical positioning.
    Parameters:
      `verticalPositioning` - the new vertical positioning

  - ### getSize

    public DrawingObjectSize getSize()
    Gets the size.
    Returns:
      the size

  - ### setSize

    public void setSize​(DrawingObjectSize size)
    Sets the size.
    Parameters:
      `size` - the new size

  - ### getEffectExtent

    public EffectExtent getEffectExtent()
    Gets the effect extent.
    Returns:
      the effect extent

  - ### setEffectExtent

    public void setEffectExtent​(EffectExtent effectExtent)
    Sets the effect extent.
    Parameters:
      `effectExtent` - the new effect extent

  - ### getWrapType

    public WrapType getWrapType()
    Gets the wrap type.
    Returns:
      the wrap type

  - ### setWrapType

    public void setWrapType​(WrapType wrapType)
    Sets the wrap type.
    Parameters:
      `wrapType` - the new wrap type

  - ### getRelativeSizeExtensions

    public List<RawXmlElement> getRelativeSizeExtensions()
    Gets the wp14:sizeRelH / wp14:sizeRelV relative-size extensions preserved verbatim for the round trip.
    Returns:
      the relative-size extensions

  - ### setRelativeSizeExtensions

    public void setRelativeSizeExtensions​(List<RawXmlElement> relativeSizeExtensions)
    Sets the wp14:sizeRelH / wp14:sizeRelV relative-size extensions.
    Parameters:
      `relativeSizeExtensions` - the new relative-size extensions

  - ### getGraphicObject

    public GraphicObject getGraphicObject()
    Gets the graphic object.
    Returns:
      the graphic object

  - ### setGraphicObject

    public void setGraphicObject​(GraphicObject graphicObject)
    Sets the graphic object.
    Parameters:
      `graphicObject` - the new graphic object

  - ### getLocking

    public GraphicFrameLocking getLocking()
    Gets the locking.
    Returns:
      the locking

  - ### setLocking

    public void setLocking​(GraphicFrameLocking locking)
    Sets the locking.
    Parameters:
      `locking` - the new locking

  - ### getID

    public String getID()
    Gets the id.
    Returns:
      the id

  - ### setID

    public void setID​(String id)
    Sets the id.
    Parameters:
      `id` - the new id

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### getDescription

    public String getDescription()
    Gets the description.
    Returns:
      the description

  - ### setDescription

    public void setDescription​(String description)
    Sets the description.
    Parameters:
      `description` - the new description

  - ### isHidden

    public boolean isHidden()
    Checks if is hidden.
    Returns:
      true, if is hidden

  - ### setHidden

    public void setHidden​(boolean isHidden)
    Sets the hidden.
    Parameters:
      `isHidden` - the new hidden